<?php
// +-----------------------------------------------------------------------+
// | PhpWebGallery - a PHP based picture gallery                           |
// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
// | Copyright (C) 2003-2005 PhpWebGallery Team - http://phpwebgallery.net |
// +-----------------------------------------------------------------------+
// | branch        : BSF (Best So Far)
// | file          : $RCSfile: news.php,v $
// | last update   : $Date: 2005/05/31 22:59:20 $
// | last modifier : $Author: DPDev $
// | revision      : $Revision: 2 $
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

// +-----------------------------------------------------------------------+
// |                             functions                                 |
// +-----------------------------------------------------------------------+


if (!defined('IN_ADMIN'))
{
  define('PHPWG_ROOT_PATH','./');
  include_once(PHPWG_ROOT_PATH.'include/common.inc.php');
}



// +-----------------------------------------------------------------------+
// |                           news management                             |
// +-----------------------------------------------------------------------+

if ($user['status'] == 'admin')
{
  //
  // GET
  //
 //Delete a Friend Link 
  if (isset($_GET['action'])  and $_GET['action']=='delf'
    and isset($_GET['idf']) and is_numeric($_GET['idf'])
  )
  {
  	$query = '
		DELETE FROM '.FRIENDS_TABLE.'
		 WHERE idf = \''.$_GET['idf'].'\'
		;';
		pwg_query($query);

		// information message
		$template->assign_block_vars('information',array('INFORMATION'=>$lang['friends_deleted']));
  }
	
	//
	// POST
	//
	
	//add Friend
	if (isset($_POST['addf'])
    and isset( $_POST['title'] ) and !empty($_POST['title'])
	and isset( $_POST['name'] ) and !empty($_POST['name'])
	and isset( $_POST['link'] ) and !empty($_POST['link'])
  )
	{	
		
		$query = '
		INSERT INTO '.FRIENDS_TABLE.'
		 (title, name, link) VALUES (
		 \''.$_POST['title'].'\',
		 \''.$_POST['name'].'\',
		 \''.$_POST['link'].'\');';
		
		pwg_query( $query );
		// information message
		$template->assign_block_vars('information',array('INFORMATION'=>$lang['friends_added']));
	}
	
	
	if (isset($_POST['modf'])
    and isset( $_POST['title'] ) and !empty($_POST['title'])
	and isset( $_POST['name'] ) and !empty($_POST['name'])
	and isset( $_POST['link'] ) and !empty($_POST['link'])
  )
	{	
		$id = $_POST['idf'];
		$query = 'UPDATE '.FRIENDS_TABLE.'
				 SET title = \''.$_POST['title'].'\',
				 name = \''.$_POST['name'].'\',
				 link = \''.$_POST['link'].'\'
				 WHERE idf = \''.$id.'\';';
		
		pwg_query( $query );
		// information message
		$template->assign_block_vars('information',array('INFORMATION'=>$lang['friends_updated']));
	}

}
// +-----------------------------------------------------------------------+
// |                       page header and options                         |
// +-----------------------------------------------------------------------+



if (defined('IN_ADMIN'))
{
  $page['args'].= '&amp;page=friends';
}


if (!defined('IN_ADMIN'))
{
  $title= $lang['title_friends'];
  include(PHPWG_ROOT_PATH.'include/page_header.php');
}

$template->set_filenames(array('friends'=>'friends.tpl'));

$template->assign_vars(
  array(
    'L_FRIENDS_TITLE' => $title,
    'L_RETURN_HINT' => $lang['home_hint'],
    'L_RETURN' => $lang['home'],
    'L_MODIFY' =>$lang['modify'],
    'L_DELETE' =>$lang['delete'],
    'L_POST_FRIENDS'=>$lang['post_friends'],
    'L_SUBMIT' =>$lang['submit'],
    'L_BACK' => $lang['back'],
    'U_HOME' => add_session_id(PHPWG_ROOT_PATH.'category.php'),
    'U_POST_FRIENDS'=> add_session_id($_SERVER['PHP_SELF'].'?'.$page['args'].'&amp;action=addf'),
    'U_FRIENDS'=>add_session_id( $_SERVER['PHP_SELF'].'?'.$page['args']),
	'L_DELETE_FRIENDS'=>$lang['delete_friends'],
	'L_MODIFY_FRIENDS'=>$lang['modify_friends'],
    )
  );

// +-----------------------------------------------------------------------+
// |                        DISPLAY FORMS                                  |
// +-----------------------------------------------------------------------+

//
//display form to add news
//
if ($user['status'] == 'admin'
  and isset($_GET['action']) and $_GET['action']=='addf'
)
{	
	$template->assign_block_vars(
    'form',
    array(
      'SUBMIT_NAME' =>'addf'
      )
  );	
}

//
//display form to alter a translation
//
else if ($user['status'] == 'admin'
  and isset($_GET['action']) and $_GET['action']=='modf' 
  and isset($_GET['idf']) and is_numeric($_GET['idf'])
)
{
  //get the news translation
  $query = '
  SELECT * 
   FROM '.FRIENDS_TABLE.'
   WHERE idf = \''.$_GET['idf'].'\'
  ;';

  $result = pwg_query($query);
  $row = mysql_fetch_array($result);


    $template->assign_block_vars(
      'form',
      array(
	  	'IDF' => $_GET['idf'],
        'TITLE'=>$row['title'],
        'NAME'=>$row['name'],
		'LINK'=>$row['link'],
		'SUBMIT_NAME' =>'modf'
    ));

}
//
// display news
//
else
{
 
  // +-----------------------------------------------------------------------+
  // |                          friends display                            |
  // +-----------------------------------------------------------------------+
  
  if ($user['status'] == 'admin')
  {
    $template->assign_block_vars('admin',array());
  }
 
  $query = '
  SELECT *
   FROM '.FRIENDS_TABLE.'
   ORDER BY name DESC
  ;';
  
  $result = pwg_query($query);
  
  while ($row = mysql_fetch_array($result))
  {
    $template->assign_block_vars(
    'friends',
    array(
		'NAME'=>$row['name'],
      	'TITLE'=>$row['title'],
        'LINK' => $row['link'],
		'U_MODIFY'=> add_session_id( $_SERVER['PHP_SELF'].'?'.$page['args'].'&amp;action=modf&amp;idf='.$row['idf']),
       'U_DELETE'=> add_session_id( $_SERVER['PHP_SELF'].'?'.$page['args'].'&amp;action=delf&amp;idf='.$row['idf'])
      ));
	}
}

// +-----------------------------------------------------------------------+
// |                           html code display                           |
// +-----------------------------------------------------------------------+
if (defined('IN_ADMIN'))
{
  $template->assign_var_from_handle('ADMIN_CONTENT', 'friends');
}
else
{
  $template->assign_block_vars('title',array());
  $template->parse('friends');
  include(PHPWG_ROOT_PATH.'include/page_tail.php');
}
?>